<?php

use Dom\Text;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
   public function up()
{
    Schema::create('vet_doctors', function (Blueprint $table) {
        $table->id('VD_Id');

        $table->string('Doctor_Name',150);
        $table->string('Clinic_Name',150)->nullable();
        $table->string('Mobile',20);
        $table->string('Email',150)->nullable();
        $table->text('Clinic_Address')->nullable();

        $table->unsignedBigInteger('Area_Id')->nullable();

        $table->string('License_Number')->nullable();
        $table->string('Qualification')->nullable();
        $table->integer('Experience_Years')->nullable();

        $table->date('License_Valid_From')->nullable();
        $table->date('License_Valid_To')->nullable();

        $table->json('Documents')->nullable(); // ✅ MAIN PART

        $table->boolean('Status')->default(1);

        $table->timestamps();
        $table->softDeletes();
    });
}


    public function down(): void
    {
        Schema::dropIfExists('vet_doctors');
    }
};
